.Steps {
    height: 60px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
}

.Steps::before{
    position: absolute;
    top:50%;
    margin-top:-1px;
    content: "";
    width: 100%;
    height: 2px;
    background: #0f5da1;
    opacity: 0.5;
}

.Steps span {
    display: block;
    width: 10px;
    height: 10px;
    border: solid 2px #0f5da1;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    background: white;
    z-index: 2;
}

.Steps span:first-of-type {
    justify-content: flex-start;
}

.Steps span:last-of-type {
    justify-content: flex-end;
}

.Steps span label {
    white-space: nowrap;
    font-size: 12px;
    margin-top: 12px;
    opacity: 0.5;
}

.Steps span.done {
    background: #0f5da1;
}


@media screen and (max-width: 650px) {
    .Steps{
        padding:0 32px
    }

    .Steps::before{
        width: calc(100% - 64px);
    }
}

